import 'package:flutter/material.dart';
import 'package:phoenix_widgets_example/phoenix_back_button_page.dart';
import 'package:phoenix_widgets_example/phoenix_bottom_sheet_page.dart';
import 'package:phoenix_widgets_example/phoenix_shimmer_page.dart';
import 'package:phoenix_widgets_example/phoenix_title_page.dart';
import 'package:phoenix_widgets_example/phoenix_webview_page.dart';
import 'package:phoenix_widgets_example/phoenix_empty_page_page.dart';

import 'phoenix_bottom_menu_uhf_page.dart';
import 'phoenix_card_page.dart';
import 'phoenix_button_page.dart';
import 'phoenix_generic_popup_page.dart';
import 'phoenix_product_tiles_page.dart';
import 'phoenix_expandable_content_block_page.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(home: HomePage());
  }
}

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Widget Sample App'),
      ),
      body: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16),
          child: Column(
            children: [
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixCardPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Card")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBottomMenuUHFPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Bottom Navigation UHF")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixButtonPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Button")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixProductTilesPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Product Tiles")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixGenericPopupPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Generic Pop Up")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixWebviewPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Webview")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixTitlePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Title")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBackButtonPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Back Button")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixEmptyPagePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Empty Page")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) =>
                          const PhoenixExpandableContentBlockPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child:
                      Center(child: Text("Phoenix Expandable Content Block")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBottomSheetPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Bottom Sheet")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixShimmerPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Shimmer")),
                ),
              )
            ],
          ),
        ),
      ),
    );
  }
}
