import 'package:flutter/material.dart';

class PhoenixBackButton extends StatelessWidget {
  const PhoenixBackButton({
    Key? key,
    this.color = Colors.black,
    this.callback
  }) : super(key: key);

  final Color color;
  final VoidCallback? callback;

  @override
  Widget build(BuildContext context) {
    return IconButton(
        icon: Icon(
          Icons.navigate_before,
          color: color,
        ),
        onPressed: () {
          if (callback != null) {
            callback!();
          } else {
            Navigator.of(context).pop();
          }
        });
  }
}
