import 'package:flutter/material.dart';

showPhoenixBottomSheet(
    BuildContext context, String title, Widget child, {TextStyle? style}) {
  const sheetRadius = Radius.circular(4.0);
  showModalBottomSheet(
      isScrollControlled: true,
      shape: const RoundedRectangleBorder(
        borderRadius: BorderRadius.only(
            topLeft: sheetRadius, topRight: sheetRadius),
      ),
      context: context,
      builder: (context) => AnimatedPadding(
        padding: EdgeInsets.only(
          bottom: MediaQuery.of(context).viewInsets.bottom,
        ),
        duration: const Duration(milliseconds: 300),
        child:  Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            Container(
                height: 6,
                width: 40,
                margin: const EdgeInsets.only(top: 16.0, bottom: 16.0),
                decoration: BoxDecoration(
                    color: const Color(0xFFEAEAEA),
                    borderRadius: BorderRadius.circular(4.0))),
            Text(
              title,
              textAlign: TextAlign.center,
              style: style ??
                  Theme.of(context)
                      .textTheme
                      .subtitle1!
                      .apply(fontWeightDelta: 1),
            ),
            child
          ],
        ),
      ));
}
